{
  systemConfiguration = { config, ... }: {
    isNormalUser = true;
    # TODO: Don't hard-code `persist`.  Use
    # config.sydnix.impermanence.persistGroupName.
    extraGroups = [
      "wheel"
      "persist"
      "input"
      "dots"
      "greeter"
      "networkmanager"
    ];
    initialHashedPassword =
      "$y$j9T$4pyDiPlhnN4UarQoY7Sn70$URZQKPJ3yU4WoQFHRhzm4uF3bM4U7OVYem3oPioykMC";

    openssh.authorizedKeys.keyFiles = [
    ];
  };

  homeConfiguration = { config, lib, pkgs, ... }: {
    home.file.".ssh/id_ed25519".source =
      config.lib.file.mkOutOfStoreSymlink
        "/persist/private-keys/ssh/msyds@sydpc";

    home.file.".face".source = ./avatar.jpg;

    home.file.".ssh/id_ed25519.pub".source =
      ../../public-keys/ssh/${"msyds@sydpc.pub"};

    sydnix = {
      xdg.enable = true;
      steam.enable = true;
      zotero.enable = true;
      openutau.enable = true;
      slippi.enable = true;
      desktop-environment.enable = true;
      clojure.enable = true;
      capitaine-cursors.enable = true;
      sops = {
        enable = true;
        keyFile = "/persist/private-keys/age/crumb";
      };
      # Personal configurations.
      users.crumb = {
        bash.enable = true;
        direnv.enable = true;
        git.enable = true;
        nvim.enable = true;
        readline.enable = true;
        niri.enable = true;
        firefox.enable = true;
        ghostty.enable = true;
        # waybar.enable = true;
        tf2.enable = true;
        fcitx5.enable = true;
        anki.enable = true;
        mumble.enable = true;
      };
      users.msyds = {
        hunspell.enable = true;
        emacs.enable = true;
        impermanence.enable = true;
        syncthing.enable = true;
        fonts.enable = true;
	dank-material-shell.enable = true;
      };
    };

    # Don't touch!
    home.stateVersion = "18.09";
  };
}
